using BepInEx;
using BepInEx.Logging;
using HarmonyLib;
using WalleyeFix.Patches;

namespace WalleyeFix;

[BepInPlugin(MyPluginInfo.PLUGIN_GUID, MyPluginInfo.PLUGIN_NAME, MyPluginInfo.PLUGIN_VERSION)]
public class Plugin : BaseUnityPlugin
{
    internal static new ManualLogSource Logger;

    private const string HARMONYID = "com.celisuis.walleyefix";
        
    private void Awake()
    {
        // Plugin startup logic
        Logger = base.Logger;
        Logger.LogInfo($"Plugin {MyPluginInfo.PLUGIN_GUID} is loaded!");
        
        Harmony.CreateAndPatchAll(typeof(PlayerFishingControllerPatches), HARMONYID);
    }
}
